> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.youratlas.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.youratlas.com/_mcp/server.

# Get tool templates

GET https://api.youratlas.com/v1/api/tools/templates

Reference: https://docs.youratlas.com/api-reference/atlas-api/tools/get-tool-templates

## Authentication

- `api-key` header (required) — Your Atlas API key. Get it from the Atlas Portal under Settings > API Keys.

## Response

### 200

Successful response

- `list of ToolTemplate`

## Errors

### 500 Internal Server Error

Internal server error

- `error` (ErrorError, optional)

## Types

### ToolTemplate

PascalCase Azure Table Storage row.

- `PartitionKey` (string, optional)
- `RowKey` (string, optional)
- `Timestamp` (datetime, optional)
- `odata.etag` (string, optional)
- `Name` (string, optional)
- `Categories` (string, optional) — JSON-encoded array of category names.
- `TemplateSettings` (string, optional) — JSON-encoded template settings.
- `Placeholders` (string, optional) — JSON-encoded array of placeholder field definitions.
- `OptionalPlaceholders` (string, optional) — JSON-encoded list of optional placeholder names.
- `RequiredPlaceholders` (string, optional) — JSON-encoded list of required placeholder names.
- `Version` (string, optional)
- `IsActive` (boolean, optional)
- `Status` (enum, optional)
  - Allowed values: `Approved`, `Waiting for Approval`, `Draft`
- `IconUrl` (string, optional)
- `DocumentationUrl` (string, optional)
- `CreatedAt` (string, optional)
- `UpdatedAt` (string, optional)

### ErrorError

- `message` (string, optional)
- `code` (string, optional)
- `requestId` (string, optional)

## Examples

**Response**

```json
[
  {
    "PartitionKey": "string",
    "RowKey": "string",
    "Timestamp": "2024-01-15T09:30:00Z",
    "odata.etag": "string",
    "Name": "string",
    "Categories": "string",
    "TemplateSettings": "string",
    "Placeholders": "string",
    "OptionalPlaceholders": "string",
    "RequiredPlaceholders": "string",
    "Version": "string",
    "IsActive": true,
    "Status": "Approved",
    "IconUrl": "string",
    "DocumentationUrl": "string",
    "CreatedAt": "string",
    "UpdatedAt": "string"
  }
]
```

**SDK Code**

```python
import requests

url = "https://api.youratlas.com/v1/api/tools/templates"

headers = {"api-key": "<apiKey>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.youratlas.com/v1/api/tools/templates';
const options = {method: 'GET', headers: {'api-key': '<apiKey>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.youratlas.com/v1/api/tools/templates"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("api-key", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.youratlas.com/v1/api/tools/templates")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["api-key"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.youratlas.com/v1/api/tools/templates")
  .header("api-key", "<apiKey>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.youratlas.com/v1/api/tools/templates', [
  'headers' => [
    'api-key' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.youratlas.com/v1/api/tools/templates");
var request = new RestRequest(Method.GET);
request.AddHeader("api-key", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["api-key": "<apiKey>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.youratlas.com/v1/api/tools/templates")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```